commit: 8649ed39020a524f234bbc2875435d1573b3b66b
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 22 10:02:38 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Aug 22 10:02:53 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8649ed39
x11-misc/shutter: eapi6 bump, don't require gnome-web-photo as it will be
removed
Package-Manager: portage-2.3.0
x11-misc/shutter/Manifest | 1 +
.../shutter/files/0.86.4-disable-goocanvas.patch | 21 ------
.../shutter/files/disable-goocanvas-0.87.1.patch | 18 -----
.../shutter/files/disable_webphoto-0.87.1.patch | 17 -----
x11-misc/shutter/metadata.xml | 1 -
x11-misc/shutter/shutter-0.93.1-r1.ebuild | 83 ++++++++++++++++++++++
6 files changed, 84 insertions(+), 57 deletions(-)
diff --git a/x11-misc/shutter/Manifest b/x11-misc/shutter/Manifest
new file mode 100644
index 0000000..ef10d9a
--- /dev/null
+++ b/x11-misc/shutter/Manifest
@@ -0,0 +1 @@
+DIST shutter-0.93.1.tar.gz 3432204 SHA256
536d1f7bc69fff518bf5a6a040d6a2d65beb2eecd5429967c71c25cf991e9625 SHA512
50a635fdf73454b15351a7e2c4507bf0f9fd816273affbed412f42b1032087304ecf1fb4a4b655bc056820f267b98214ff5104f4fcd9e843f78e70ac4a7a4a04
WHIRLPOOL
e81f5970850638c711ae958365edde5f7f2b9678d292ce666c89a6611a30ce143440de5db47916b6e84b737bf3416bbed164e79954d8210382ff3f4546a840ad
diff --git a/x11-misc/shutter/files/0.86.4-disable-goocanvas.patch
b/x11-misc/shutter/files/0.86.4-disable-goocanvas.patch
deleted file mode 100644
index aea2e67..0000000
--- a/x11-misc/shutter/files/0.86.4-disable-goocanvas.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-Index: shutter-0.86.4/bin/shutter
-===================================================================
---- shutter-0.86.4.orig/bin/shutter
-+++ shutter-0.86.4/bin/shutter
-@@ -8350,14 +8350,9 @@ sub fct_init_depend {
- $nautilus_sendto = FALSE;
- }
-
-- #goocanvas
-- eval { require Goo::Canvas };
-- if ($@) {
-- warn "WARNING: Goo::Canvas/libgoocanvas is missing --> drawing
tool will be disabled!\n\n";
-- $goocanvas = FALSE;
-- }
-+ $goocanvas = FALSE;
-
-- eval { require Net::DBus::GLib };
-+ eval { require Net::DBus::GLib };
- if ($@) {
- warn "WARNING: Net::DBus::GLib is missing --> Ubuntu One
support will be disabled!\n\n";
- $ubuntuone = FALSE;
diff --git a/x11-misc/shutter/files/disable-goocanvas-0.87.1.patch
b/x11-misc/shutter/files/disable-goocanvas-0.87.1.patch
deleted file mode 100644
index 7819e60..0000000
--- a/x11-misc/shutter/files/disable-goocanvas-0.87.1.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-Index: shutter-0.87.1/bin/shutter
-===================================================================
---- shutter-0.87.1.orig/bin/shutter
-+++ shutter-0.87.1/bin/shutter
-@@ -9188,12 +9188,7 @@ if ($app->is_running) {
- $nautilus_sendto = FALSE;
- }
-
-- #goocanvas
-- eval { require Goo::Canvas };
-- if ($@) {
-- warn "WARNING: Goo::Canvas/libgoo-canvas-perl is
missing --> drawing tool will be disabled!\n\n";
-- $goocanvas = FALSE;
-- }
-+ $goocanvas = FALSE;
-
- #net-dbus-glib-perl
- eval { require Net::DBus::GLib };
diff --git a/x11-misc/shutter/files/disable_webphoto-0.87.1.patch
b/x11-misc/shutter/files/disable_webphoto-0.87.1.patch
deleted file mode 100644
index 7db728c..0000000
--- a/x11-misc/shutter/files/disable_webphoto-0.87.1.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Index: shutter-0.87.1/bin/shutter
-===================================================================
---- shutter-0.87.1.orig/bin/shutter
-+++ shutter-0.87.1/bin/shutter
-@@ -9181,11 +9181,7 @@ if ($app->is_running) {
- die "ERROR: imagemagick is missing --> aborting!\n\n";
- }
-
-- #gnome-web-photo
-- unless ( File::Which::which('gnome-web-photo') ) {
-- warn "WARNING: gnome-web-photo is missing -->
screenshots of websites will be disabled!\n\n";
-- $gnome_web_photo = FALSE;
-- }
-+ $gnome_web_photo = FALSE;
-
- #nautilus-sendto
- unless ( File::Which::which('nautilus-sendto') ) {
diff --git a/x11-misc/shutter/metadata.xml b/x11-misc/shutter/metadata.xml
index 812b6c0..c0e72da 100644
--- a/x11-misc/shutter/metadata.xml
+++ b/x11-misc/shutter/metadata.xml
@@ -10,7 +10,6 @@
<name>Gentoo Graphics Project</name>
</maintainer>
<use>
- <flag name="webphoto">Enables screenshots of websites</flag>
<flag name="drawing">Enables drawing tool</flag>
</use>
<longdescription lang="en">
diff --git a/x11-misc/shutter/shutter-0.93.1-r1.ebuild
b/x11-misc/shutter/shutter-0.93.1-r1.ebuild
new file mode 100644
index 0000000..0285d1f
--- /dev/null
+++ b/x11-misc/shutter/shutter-0.93.1-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Feature-rich screenshot program"
+HOMEPAGE="http://shutter-project.org/"
+SRC_URI="http://shutter-project.org/wp-content/uploads/releases/tars/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="drawing"
+
+RDEPEND="dev-lang/perl
+ drawing? ( dev-perl/Goo-Canvas )
+ || ( media-gfx/imagemagick[perl]
media-gfx/graphicsmagick[imagemagick,perl] )
+ dev-perl/libxml-perl
+ dev-perl/gnome2-canvas
+ dev-perl/gnome2-perl
+ dev-perl/gnome2-wnck
+ dev-perl/Gtk2-Unique
+ dev-perl/Gtk2-ImageView
+ dev-perl/File-DesktopEntry
+ dev-perl/File-HomeDir
+ dev-perl/File-Which
+ dev-perl/JSON
+ dev-perl/File-Copy-Recursive
+ dev-perl/File-MimeInfo
+ dev-perl/Locale-gettext
+ dev-perl/Net-DBus
+ dev-perl/Proc-Simple
+ dev-perl/Proc-ProcessTable
+ dev-perl/Sort-Naturally
+ dev-perl/WWW-Mechanize
+ dev-perl/X11-Protocol
+ dev-perl/XML-Simple
+ dev-perl/libwww-perl"
+
+src_prepare() {
+ default
+
+ eapply "${FILESDIR}"/${PN}-0.90-webphoto.patch
+ use drawing || eapply "${FILESDIR}"/${PN}-0.90-goocanvas.patch
+
+ #Fix tray icon because it doesn't pick the right icon using various
themes
+ sed -i -e
"/\$tray->set_from_icon_name/s:set_from_icon_name:set_from_file:" \
+ -e "s:shutter-panel:/usr/share/icons/hicolor/scalable/apps/&.svg:" \
+ bin/shutter || die "failed to fix trayicon"
+}
+
+src_install() {
+ dobin bin/${PN} || die "dobin failed"
+ insinto /usr/share/${PN}
+ doins -r share/${PN}/* || die "doins failed"
+ dodoc README || die "dodoc failed"
+ domenu share/applications/${PN}.desktop
+ # Man page is broken. Reconstruct it.
+ gunzip share/man/man1/${PN}.1.gz || die "gunzip failed"
+ doman share/man/man1/${PN}.1 || die "doman failed"
+ doicon share/pixmaps/${PN}.png
+ doins -r share/locale || die "doins failed"
+ insinto /usr/share/icons/hicolor
+ doins -r share/icons/hicolor/* || die "doins failed"
+ find "${D}"/usr/share/shutter/resources/system/plugins/ -type f ! -name
'*.*' -exec chmod 755 {} \; \
+ || die "failed to make plugins executables"
+ find "${D}"/usr/share/shutter/resources/system/upload_plugins/upload
-type f \
+ -name "*.pm" -exec chmod 755 {} \; || die "failed to make
upload plugins executables"
+}
+
+pkg_postinst() {
+ elog ""
+ elog "The following optional dependencies can be used to provide"
+ elog "additional functionality:"
+ elog ""
+ elog "- media-libs/exiftool : Writing Exif information"
+ elog "- dev-libs/libappindicator : Status icon support for Unity"
+ elog "- dev-perl/{Net-OAuth,Path-Class}: Dropbox support"
+ elog "- dev-perl/JSON-XS : vgy.me image hosting support"
+ elog""
+}